<?php

session_start();

//ログイン済みかを確認
if (!isset($_SESSION['USER'])) {
    header('Location: ./login.php');
    exit;
}

//エラーメッセージを表示させる
ini_set('display_errors',"On");

//dbc.phpの読み込み
require_once("./dbc.php");

//Dbcクラスのインスタンス
$dbc=new Dbc();

//index.phpからIDをGETで受け取り
//データベースからその情報を取り出す
$result=$dbc->getById($_GET['id']);

//FETCH_ASSOCを指定しているのでデータベースから
//取り出した情報は辞書型配列。これを変数に格納
$id=$result['id'];
$thema=$result['thema'];
$task=$result['task'];
$dueDate=$result['dueDate'];

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>変更内容入力</title>
    <style type="text/css">
        body{    font-family: -apple-system,BlinkMacSystemFont,
            "Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",
            sans-serif,"Apple Color Emoji","Segoe UI Emoji"
            ,"Segoe UI Symbol","Noto Color Emoji";
            width: 100%;
            text-align: center;
        }
        body p{
            margin: 15px,5px;
            height: 40px;
            padding-left: 15px;
            color: #666;
            line-height: 40px;
        }
        body input{
            width: 250px;
            margin: 15px,5px;
            height: 40px;
            padding-left: 15px;
            color: #666;
            line-height: 40px;
        }
        p a{
            height: 40px;
            display: block;
            border-radius: 20px;
            padding: 0px 40px;
            background-color:#6C757D;
            color: #fff;
            line-height: 40px;
            display: inline-block;
            text-decoration: none;
        }
    </style>        
</head>
<body>
    <h2>更新フォーム</h2>
    <form action="./dataUpdate.php" method="post">
        <input type="hidden" name="id" value="<?php echo $id ?>">
        <p>テーマ</p>
        <input type="text" name="thema" value="<?php echo $thema ?>">
        <p>タスク</p>
        <textarea name="task" id="task" cols="30" rows="10">
            <?php echo $task ?></textarea>
        <br>
        <p>期限</p>
        <input type="date" name="dueDate" value="<?php echo $dueDate ?>" >
        <br>
        <br>
        <input type="submit" value="送信">
    </form> 
    <p><a href="./index.php">戻る</a></p>
</body>
</html>