<?php

session_start();

//ログイン済みかを確認
if (!isset($_SESSION['USER'])) {
    header('Location: ./login.php');
    exit;
}

ini_set('display_errors',"On");
//入力フォームからデータを受け取る
$datas=$_POST;

//バリデート
if(empty($datas['thema'])){
    exit('テーマを入力してください。');
}

//dbc.phpの読み込み
require_once("./dbc.php");

//Dbcクラスのインスタンス
$dbc=new Dbc();

//データの保存
$sql="INSERT INTO tasktable (thema,task,dueDate) VALUES (?,?,?)";

$dbh=$dbc->dbConnect();

try{
    $stmt=$dbh->prepare($sql);
    
    $stmt->bindValue(1,$datas['thema']);
    $stmt->bindValue(2,$datas['task']);
    $stmt->bindValue(3,$datas['dueDate']);

    $stmt->execute();

    echo'内容を保存しました';
}catch(PDOException $e){
    exit($e);
}

?>
<p><a href="./index.php">戻る</a></p>